scatter_message< Container, false >

## Public Types

typedef Container::size_type | size_type
typedef Container::value_type | value_type
typedef Container::allocator_type | allocator_type
typedef value_type | base_value_type

## Public Member Functions

const Container & | values () const
Container & | values ()
const std::vector< size_type > & | indices () const
std::vector< size_type > & | indices ()
const std::vector< size_type > & | procs () const
std::vector< size_type > & | procs ()
const std::vector< size_type > & | starts () const
std::vector< size_type > & | starts ()
| scatter_message (const value_type &init_value=value_type(), const allocator_type &alloc=allocator_type())
void | resize (size_type n_data, size_type nproc)
template<class InputIterator >
void | load_values (InputIterator x)
template<class OutputIterator , class SetOp >
void | store_values (OutputIterator y, size_type i_receive, SetOp op) const
size_type | n_proc () const
size_type | n_data () const
size_type | n_status () const
size_type | n_local () const
size_type | n_local_nonmatching () const

## Public Attributes

std::list< std::pair< size_type, mpi::request > > | requests
std::vector< mpi::status > | sstatus
std::vector< size_type > | local_slots
std::vector< size_type > | local_slots_nonmatching
bool | local_nonmatching_computed
size_type | local_n_nonmatching
bool | local_is_copy
size_type | local_copy_start
size_type | local_copy_length

## Protected Attributes

value_type | _init_value
Container | _values
std::vector< size_type > | _indices
std::vector< size_type > | _procs
std::vector< size_type > | _starts

## Detailed Description

### template<class Container>
class rheolef::scatter_message< Container, false >

Definition at line 39 of file scatter_message.h.

## Member Typedef Documentation

## size_type

typedef Container::size_type size_type

Definition at line 41 of file scatter_message.h.

## value_type

typedef Container::value_type value_type

Definition at line 42 of file scatter_message.h.

## allocator_type

typedef Container::allocator_type allocator_type

Definition at line 43 of file scatter_message.h.

## base_value_type

typedef value_type base_value_type

Definition at line 44 of file scatter_message.h.

## Constructor & Destructor Documentation

## scatter_message()

scatter_message | ( | const value_type & | init_value = `value_type()`,
|  | const allocator_type & | alloc = `allocator_type()`
| ) |  |

Definition at line 78 of file scatter_message.h.

## Member Function Documentation

## values() [1/2]

const Container& values | ( |  | ) | const

Definition at line 56 of file scatter_message.h.

## values() [2/2]

Container& values | ( |  | ) |

Definition at line 57 of file scatter_message.h.

## indices() [1/2]

const std::vector<size_type>& indices | ( |  | ) | const

Definition at line 58 of file scatter_message.h.

## indices() [2/2]

std::vector<size_type>& indices | ( |  | ) |

Definition at line 59 of file scatter_message.h.

## procs() [1/2]

const std::vector<size_type>& procs | ( |  | ) | const

Definition at line 60 of file scatter_message.h.

## procs() [2/2]

std::vector<size_type>& procs | ( |  | ) |

Definition at line 61 of file scatter_message.h.

## starts() [1/2]

const std::vector<size_type>& starts | ( |  | ) | const

Definition at line 62 of file scatter_message.h.

## starts() [2/2]

std::vector<size_type>& starts | ( |  | ) |

Definition at line 63 of file scatter_message.h.

## resize()

void resize | ( | size_type | n_data,
|  | size_type | nproc
| ) |  |

Definition at line 94 of file scatter_message.h.

## load_values()

void load_values | ( | InputIterator | x | ) |

Definition at line 127 of file scatter_message.icc.

## store_values()

void store_values | ( | OutputIterator | y,
|  | size_type | i_receive,
|  | SetOp | op
| ) |  | const

Definition at line 152 of file scatter_message.icc.

## n_proc()

size_type n_proc | ( |  | ) | const

Definition at line 108 of file scatter_message.h.

## n_data()

size_type n_data | ( |  | ) | const

Definition at line 109 of file scatter_message.h.

## n_status()

size_type n_status | ( |  | ) | const

Definition at line 110 of file scatter_message.h.

## n_local()

size_type n_local | ( |  | ) | const

Definition at line 111 of file scatter_message.h.

## n_local_nonmatching()

size_type n_local_nonmatching | ( |  | ) | const

Definition at line 112 of file scatter_message.h.

## Member Data Documentation

## _init_value

value_type _init_value

protected

Definition at line 48 of file scatter_message.h.

## _values

Container _values

protected

Definition at line 49 of file scatter_message.h.

## _indices

std::vector<size_type> _indices

protected

Definition at line 50 of file scatter_message.h.

## _procs

std::vector<size_type> _procs

protected

Definition at line 51 of file scatter_message.h.

## _starts

std::vector<size_type> _starts

protected

Definition at line 52 of file scatter_message.h.

## requests

std::list<std::pair<size_type,mpi::request> > requests

Definition at line 65 of file scatter_message.h.

## sstatus

std::vector<mpi::status> sstatus

Definition at line 66 of file scatter_message.h.

## local_slots

std::vector<size_type> local_slots

Definition at line 68 of file scatter_message.h.

## local_slots_nonmatching

std::vector<size_type> local_slots_nonmatching

Definition at line 69 of file scatter_message.h.

## local_nonmatching_computed

bool local_nonmatching_computed

Definition at line 70 of file scatter_message.h.

## local_n_nonmatching

size_type local_n_nonmatching

Definition at line 71 of file scatter_message.h.

## local_is_copy

bool local_is_copy

Definition at line 72 of file scatter_message.h.

## local_copy_start

size_type local_copy_start

Definition at line 73 of file scatter_message.h.

## local_copy_length

size_type local_copy_length

Definition at line 74 of file scatter_message.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/scatter_message.h
- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/scatter_message.icc